import request from '@/utils/request'

export function getOverview() {
  return request({
    url: '/homepage/overview',
    method: 'get'
  })
}

export function getOverviewById(overviewId) {
  return request({
    url: '/homepage/overview/' + overviewId,
    method: 'get'
  })
}

export function addOverview(data) {
  return request({
    url: '/homepage/overview',
    method: 'post',
    data: data
  })
}

export function updateOverview(data) {
  return request({
    url: '/homepage/overview',
    method: 'put',
    data: data
  })
}

export function delOverview(overviewId) {
  return request({
    url: '/homepage/overview/' + overviewId,
    method: 'delete'
  })
}
